/*!
 * This file is part of the DATAtourisme project.
 * 2022
 * @author Conjecto <contact@conjecto.com>
 * SPDX-License-Identifier: GPL-3.0-or-later
 * For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 */ 

// List
$item-number: 5;
$item-size: 55px;
.rulesets-list {
  max-height: $item-number * $item-size;
  overflow-y: auto;
}

// Statuses
.label-ruleset {

  &.status-pending {
    @extend .label-warning;
    > .fa {
      &:before {
        content: $fa-var-clock-o;
      }
    }
  }

  &.status-active {
    @extend .label-success;
    > .fa {
      &:before {
        content: $fa-var-check;
      }
    }
  }

  &.status-draft {
    @extend .label-primary;
    > .fa {
      &:before {
        content: $fa-var-pencil;
      }
    }
  }

  &.status-none {
    @extend .label-warning;
    > .fa {
      &:before {
        content: $fa-var-sticky-note-o;
      }
    }
  }

  &.status-active {
    @extend .label-success;
    > .fa {
      &:before {
        content: $fa-var-check;
      }
    }
  }

  &.status-archived {
    @extend .label-default;
    > .fa {
      &:before {
        content: $fa-var-folder-o;
      }
    }
  }
}

.table-rulesets {
  tr.status-active {
    background:$alert-success-bg;
    font-weight: bold;
    .badge {
      background:$bg-green;
    }
  }
  tr.status-draft {
  }
  tr.status-archived {
    color: $gray-400;
    .badge {
      background:$gray-300;
    }
  }
}